Dan Collis-Puro

Tech. Open Source. Stuff that doesn't suck.

How to Fix Linecache19 Install Problems on Ubuntu

So while attempting to install the linecache19 gem under rvm on ubuntu 12.04 (aka “precise”), I ran into a problem where it took a long, long time to compile.

The fix was fairly simple:

gem install ruby-debug19 -- --with-ruby-include=$rvm_path/src/ruby-1.9.3-p193

where the last bit of that line should match your ruby version. I would imagine this’d work outside RVM with a different source path, too.

Comments